#
# spec file for package limal-apparmor-control (Version 1.1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dejagnu diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expat-32bit expect file filesystem fillup findutils flex fontconfig-32bit fop freetype2-32bit gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun jpackage-utils klogd less libacl libapr-util1 libapr1 libattr libcom_err libgcc libgcrypt libgpg-error libidn libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio limal limal-devel limal-devtools m4 make man mktemp module-init-tools ncurses ncurses-devel neon net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-Config-IniFiles perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline recode rpm sed sgml-skel strace subversion swig sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           limal-apparmor-control
URL:            http://forge.novell.com/modules/xfmod/project/?apparmor
Version:        1.1.0
Release:        8.2
License:        GPL
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        limal-apparmor-control-1.1.0.tar.bz2
prefix:		/usr
%define		swiglibdir %(swig -swiglib)
BuildRequires:  curl gcc-c++ limal-devel limal-devtools perl-gettext sgml-skel
Summary:        Limal pluglib for AppArmor that provides hooks to enable/disable the AppArmor service.

%description
Limal pluglib for AppArmor that provides hooks to enable/disable the
AppArmor service.



Authors:
--------
    mbarringer@suse.de

%debug_package
%package devel
Requires:       limal-apparmor-control = %version
Group:          Development/Libraries/C and C++
Summary:        Limal pluglib for AppArmor that provides hooks to enable/disable the AppArmor service.

%description devel
Development libraries and header files for the apparmor-control limal
pluglib.



Authors:
--------
    mbarringer@suse.de

%package perl
Group:          Development/Libraries/C and C++
Summary:        Limal pluglib for AppArmor that provides hooks to enable/disable the AppArmor service.

%description perl
Limal pluglib for AppArmor that provides hooks to enable/disable the
AppArmor service.



Authors:
--------
    mbarringer@suse.de

%prep
%setup -n limal-apparmor-control-1.1.0

%build
%{prefix}/bin/limaltool limalautoconf
%{prefix}/bin/limaltool limalautomake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir} \
            --sysconfdir=/etc --localstatedir=/var
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/limal/devtools/NO_MAKE_CHECK" ] || \
           LIMALDATADIR="$RPM_BUILD_ROOT/usr/share/limal"  \
# required for perl test cases
export LD_LIBRARY_PATH="$RPM_BUILD_ROOT/usr/lib/limal"
make check DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{_libdir}/limal
%{_libdir}/limal/lib*.so.*

%files devel
%defattr(-,root,root)
%dir %{_libdir}/limal
%{_libdir}/limal/lib*.so
%{_libdir}/limal/lib*.la
%dir %{_includedir}/limal/apparmor-control
%{_includedir}/limal/apparmor-control/*
%{_libdir}/pkgconfig/limal-apparmor-control.pc
%doc %{_prefix}/share/doc/packages/limal-apparmor-control

%files perl
%defattr(-,root,root)
%dir %{perl_vendorarch}/LIMAL
%dir %{perl_vendorarch}/auto/LIMAL
%dir %{perl_vendorarch}/auto/LIMAL/ApparmorControl/
%{perl_vendorarch}/auto/LIMAL/ApparmorControl/*
%{perl_vendorarch}/LIMAL/*.pm

%changelog -n limal-apparmor-control
* Mon Apr 03 2006 - mbarringer@suse.de
- Fixing bug 154394 - Reworked the code to clear up any conflicts,
  also to use limal-runlevel
* Sat Jan 28 2006 - mbarringer@suse.de
- Changed references to support scripts as a result of the name
  change.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - mbarringer@suse.de
- created package (version 1.0.0)
